PROMETHEUS-REDIS-EXPORTER(1)

NAME
prometheus-redis-exporter - Prometheus exporter for Redis metrics

SYNOPSIS
prometheus-redis-exporter [option...]

DESCRIPTION
This Prometheus exporter retrieves monitoring data from Redis servers, and exposes them via an HTTP server to be collected by Prometheus.

OPTIONS

-check-key-groups string
    Comma separated list of lua regex for grouping keys

-check-keys string
    Comma separated list of key-patterns to export value and length/size, searched for with SCAN.

-check-keys-batch-size int
    Approximate number of keys to process in each execution, larger value speeds up scanning. WARNING: Still Redis is a single-threaded app, huge COUNT can affect production environment (default 1000).

-check-single-keys string
    Comma separated list of single keys to export value and length/size.

-check-single-streams string
    Comma separated list of single streams to export info about streams, groups and consumers.

-check-streams string
    Comma separated list of stream-patterns to export info about streams, groups and consumers, searched for with SCAN.

-config-command string
    What to use for the CONFIG command (default "CONFIG").

-connection-timeout string
    Timeout for connection to Redis instance (default "15s").

-count-keys string
    Comma separated list of patterns to count (eg: 'db0=production_*,db3=sessions:*'), searched for with SCAN.

-export-client-list
    Whether to scrape Client List specific metrics.

-export-client-port
    Whether to include the client's port when exporting the client list. Warning: including the port increases the number of metrics generated and will make your Prometheus server take up more memory.

-include-system-metrics
    Whether to include system metrics like e.g. redis_total_system_memory_bytes.

-is-cluster
    Whether this is a redis cluster (enable this if you need to fetch key level data on a Redis Cluster).

-is-tile38
    Whether to scrape Tile38 specific metrics.

-log-format string
    Log format, valid options are txt and json (default "txt").

-max-distinct-key-groups int
    The maximum number of distinct key groups with the most memory utilization to present as distinct metrics per database, the leftover key groups will be aggregated in the 'overflow' bucket (default 100).

-namespace string
    Namespace for metrics (default "redis").

-ping-on-connect
    Whether to ping the redis instance after connecting.

-redis-only-metrics
    Whether to also export go runtime metrics.

-redis.addr string
    Address of the Redis instance to scrape (default "redis://localhost:6379").

-redis.password string
    Password of the Redis instance to scrape.

-redis.password-file string
    Password file of the Redis instance to scrape.

-redis.user string
    User name to use for authentication (Redis ACL for Redis 6.0 and newer).

-script string
    Path to Lua Redis script for collecting extra metrics.

-set-client-name
    Whether to set client name to redis_exporter (default true).

-skip-tls-verification
    Whether to to skip TLS verification.

-tls-ca-cert-file string
    Name of the CA certificate file (including full path) if the server requires TLS client authentication.

-tls-client-cert-file string
    Name of the client certificate file (including full path) if the server requires TLS client authentication.

-tls-client-key-file string
    Name of the client key file (including full path) if the server requires TLS client authentication.

-tls-server-ca-cert-file string
    Name of the CA certificate file (including full path) if the web interface and telemetry should require TLS client authentication.

-tls-server-cert-file string
    Name of the server certificate file (including full path) if the web interface and telemetry should use TLS.

-tls-server-key-file string
    Name of the server key file (including full path) if the web interface and telemetry should use TLS.

-web.listen-address string
    Address to listen on for web interface and telemetry (default ":9121").

-web.telemetry-path string
    Path under which to expose metrics (default "/metrics").

-debug
    Output verbose debug information.

-version
    Show version information and exit.

SEE ALSO
redis-server(8), prometheus(1).